function ybbcode(temp) {
var regExp = /<img([^>]*) (src\s*=)(\s*([^\s|>])*)([^>]*)>/gi
temp = temp.replace(regExp,"<a href=$3 target=\"_blank\" ><img src=$3 border=0 onmousewheel='return yuzi_img(event,this)' onload='javascript:if(this.width>body.clientHeight)this.width=body.clientHeight-100'></a> ");
regExp = /<a([^>]*) href\s*=\s*([^\s|>]*)([^>]*)/gi
temp = temp.replace(regExp, "<a href=$2 target=\"_blank\" ");


if (getCookie('ybbcode')!='0'){ //是否打开YBB代码
temp = temp.replace(/&;/ig,"&");
temp=temp.replace(/\[(\/|)b\]/ig,"<$1b>");
temp=temp.replace(/\[(\/|)i\]/ig,"<$1i>");
temp=temp.replace(/\[(\/|)u\]/ig,"<$1u>");
temp=temp.replace(/\[(\/|)strike\]/ig,"<$1strike>");
temp=temp.replace(/\[(\/|)center\]/ig,"<$1center>");
temp=temp.replace(/\[(\/|)marquee\]/ig,"<$1marquee>");
temp=temp.replace(/\[QUOTE\]/ig,"<BLOCKQUOTE><strong>引用</strong>：<HR Size=1>");
temp=temp.replace(/\[\/QUOTE\]/ig,"<HR SIZE=1><\/BLOCKQUOTE>");
temp=temp.replace(/(\[font=)([^.:;`'"=\]]*)(\])/ig,"<FONT face='$2'>");
temp=temp.replace(/\[\/font\]/ig,"<\/FONT>");
temp=temp.replace(/(\[COLOR=)([^.:;`'"=\]]*)(\])/ig,"<FONT COLOR='$2'>");
temp=temp.replace(/\[\/COLOR\]/ig,"<\/FONT>");
temp=temp.replace(/(\[size=)([0-9]*)(\])/ig,"<FONT size='$2'>");
temp=temp.replace(/\[\/size\]/ig,"<\/FONT>");
temp=temp.replace(/(\[URL\])([^]]*)(\[\/URL\])/ig,"<A TARGET=_blank HREF='$2'>$2</A>");
temp=temp.replace(/(\[URL=)([^]]*)(\])/ig,"<A TARGET=_blank HREF='$2'>");
temp=temp.replace(/\[\/URL\]/ig,"<\/A>");
temp=temp.replace(/(\[EMAIL\])(\S+\@[^]]*)(\[\/EMAIL\])/ig,"<a href=mailto:$2>$2</a>");
temp=temp.replace(/(\[RM=([0-9]*)\,([0-9]*)\,([A-Z]*)\])([^]]*)(\[\/RM\])/ig,"<OBJECT classid=clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA width=$2 height=$3><PARAM NAME=SRC VALUE=$5><PARAM NAME=CONSOLE VALUE=Clip1><PARAM NAME=CONTROLS VALUE=imagewindow><PARAM NAME=AUTOSTART VALUE=$4><\/OBJECT><br><OBJECT classid=CLSID:CFCDAA03-8BE4-11CF-B84B-0020AFBBCCFA height=60 width=$2><PARAM NAME=CONTROLS VALUE=ControlPanel,StatusBar><PARAM NAME=CONSOLE VALUE=Clip1><\/OBJECT>");
temp=temp.replace(/(\[MP=([0-9]*)\,([0-9]*)\])([^]]*)(\[\/MP\])/ig,"<object classid=CLSID:22d6f312-b0f6-11d0-94ab-0080c74c7e95 width=$2 height=$3><param name=ShowStatusBar value=-1><param name=Filename value=$4><\/object>");
temp=temp.replace(/<A HREF=\"([^"]*)\">/ig,"<A TARGET=_blank HREF=\"$1\">");
temp=temp.replace(/<IMG src=\"([^"]*)\">/ig,"<IMG src=\"$1\" border=0 onmousewheel='return yuzi_img(event,this)' onload='javascript:if(this.width>body.clientHeight)this.width=body.clientHeight'>");
temp=temp.replace(/(\[glow\])([^]]*)(\[\/glow\])/ig,"<table width=100%><tr><td style='behavior:url(inc/font.htc)'>$2</td></tr></table>");
temp=temp.replace(/(\[sound\])([^]]*)(\[\/sound\])/ig,"<bgsound src='$2' loop='-1'>");
temp=temp.replace(/(\[fly=([0-9]*)\])([^]]*)(\[\/fly\])/ig,"<marquee scrollAmount=$2 behavior=alternate>$3</marquee>");
temp=temp.replace(/(\[move=([0-9]*)\])([^]]*)(\[\/move\])/ig,"<marquee scrollAmount=$2>$3</marquee>");
temp=temp.replace(/(\[light=([^.:;`'"=\]]*)\])([^]]*)(\[\/light\])/ig,"<table width=100%><tr><td style='FILTER:glow(color=$2);padding:3px'>$3</td></tr></table>");
temp=temp.replace(/(\[shadow=([^.:;`'"=\]]*)\,([0-9]*)\])([^]]*)(\[\/shadow\])/ig,"<table width=100%><tr><td style='FILTER:shadow(color=$2,strength=$3);padding:3px'>$4</td></tr></table>");
temp=temp.replace(/(\[blur\])([^]]*)(\[\/blur\])/ig,"<table width=100%><tr><td style='FILTER:blur;'>$2</td></tr></table>");
temp=temp.replace(/(\[html\])([^]]*)(\[\/html\])/ig,function($0,$1,$2){$2=$2.replace(/<BR>/ig,"\n");$2=$2.replace(/<P>/ig,"\n\r\n");
return "<span><TEXTAREA style=width:90% rows=10 id='RUNCODE'>"+$2+"</TEXTAREA><br><INPUT onclick=runCode() type=button value=运行代码></span>"});
}

if (getCookie('ybbflash')!='0'){  //是否打开[FLASH]代码
temp = temp.replace(/(\[FLASH=([0-9]*)\,([0-9]*)\])([^]]*)(\[\/FLASH\])/ig,"<embed width=$2 height=$3 src='$4' wmode=transparent>");
}

if (getCookie('ybbimg')!='0'){  //是否打开[IMG]代码
temp = temp.replace(/(\[IMG\])([^];]*)(\[\/IMG\])/ig,"<img border=0 src=\"$2\" onmousewheel='return yuzi_img(event,this)' onload='javascript:if(this.width>body.clientHeight)this.width=body.clientHeight'>");
}

if (getCookie('ybbbrow')!='0'){  //是否打开表情代码
temp = temp.replace(/(\[em)([0-9]*)(\])/ig,"<IMG border=0 SRC=images/Emotions/$2.gif>");
}

if (getCookie('UBBysQQ')!='0'){  //是否打开QQ代码
temp = temp.replace(/(\[YSQQ)([0-9]*)(\])(.*)(\[\/YSQQ\])/ig,"<SPAN onmouseover=ShowQQ($2) hand><IMG height=41 src='images/YSQQ/$2.gif' width=41 border=0><iframe src=images/YSQQ/$2.htm frameborder=0 height=41 width=140 scrolling=no></iframe></SPAN>");
temp = temp.replace(/(\[YSQQ)([0-9]*)(\])/ig,"<SPAN onmouseover=ShowQQ($2) hand><table border=0 cellspacing=1 cellpadding=0 bgcolor=#cc99ff><tr><td width=45 height=45 bgcolor=#FFFFFF align=center><IMG height=41 src='images/YSQQ/$2.gif' width=41 border=0></td><td bgcolor=#FFFFFF><iframe src=images/YSQQ/$2.htm frameborder=0 height=41 width=140 scrolling=no></iframe></td></tr></table></SPAN><table width=10% border=0 cellspacing=0 cellpadding=0><tr><td height=2></td></tr></table>");
}

if (getCookie('ybbaudio')!='0'){  //是否打开巧嘴娃娃
temp = temp.replace(/\[audio01\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/01.swf><\/OBJECT><b>就这事啊？地球人都知道！</b></form></span> ");
temp = temp.replace(/\[audio02\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/02.swf><\/OBJECT><b>嘿嘿！逗你玩~~</b></form></span> ");
temp = temp.replace(/\[audio03\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/03.swf><\/OBJECT><b>年轻人！做人要厚道！</b></form></span> ");
temp = temp.replace(/\[audio04\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/04.swf><\/OBJECT><b>在干吗？这不是跟我打岔吗！</b></form></span> ");
temp = temp.replace(/\[audio05\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/05.swf><\/OBJECT><b>一定要幸福噢~~~</b></form></span> ");
temp = temp.replace(/\[audio06\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/06.swf><\/OBJECT><b>你好可爱噢~~~</b></form></span> ");
temp = temp.replace(/\[audio07\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/07.swf><\/OBJECT><b>加油哦！！</b></form></span> ");
temp = temp.replace(/\[audio08\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/08.swf><\/OBJECT><b>我好想你哦~~</b></form></span> ");
temp = temp.replace(/\[audio09\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/09.swf><\/OBJECT><b>你不要这样嘛?</b></form></span> ");
temp = temp.replace(/\[audio10\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/10.swf><\/OBJECT><b>我真的好感激你哦~~</b></form></span> ");
temp = temp.replace(/\[audio11\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/11.swf><\/OBJECT><b>你简直..太让我感动了~~</b></form></span> ");
temp = temp.replace(/\[audio12\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/12.swf><\/OBJECT><b>过来..近点..再近点..KISS！！</b></form></span> ");
temp = temp.replace(/\[audio13\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/13.swf><\/OBJECT><b>强！实在是强！！</b></form></span> ");
temp = temp.replace(/\[audio14\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/14.swf><\/OBJECT><b>真、真、真的么？？我要晕了！</b></form></span> ");
temp = temp.replace(/\[audio15\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/15.swf><\/OBJECT><b>最近真的好想你哦！</b></form></span> ");
temp = temp.replace(/\[audio16\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/16.swf><\/OBJECT><b>啊！你是中邪喔！</b></form></span> ");
temp = temp.replace(/\[audio17\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/17.swf><\/OBJECT><b>你好讨厌哦~~~</b></form></span> ");
temp = temp.replace(/\[audio18\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/18.swf><\/OBJECT><b>抽根烟吧！</b></form></span> ");
temp = temp.replace(/\[audio19\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/19.swf><\/OBJECT><b>不干不干就是不干！！</b></form></span> ");
temp = temp.replace(/\[audio20\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/20.swf><\/OBJECT><b>饿不饿请你吃东西~~</b></form></span> ");
temp = temp.replace(/\[audio21\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/21.swf><\/OBJECT><b>听见了吗?那是我肚子在叫~~</b></form></span> ");
temp = temp.replace(/\[audio22\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/22.swf><\/OBJECT><b>哼！小样，我看你还真是找扁~</b></form></span> ");
temp = temp.replace(/\[audio23\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/23.swf><\/OBJECT><b>坦白从宽，我看你还是交代了吧~</b></form></span> ");
temp = temp.replace(/\[audio24\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/24.swf><\/OBJECT><b>哼！你这骗子~</b></form></span> ");
temp = temp.replace(/\[audio25\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/25.swf><\/OBJECT><b>我就是喜欢你动作非常慢的时候~~~</b></form></span> ");
temp = temp.replace(/\[audio26\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/26.swf><\/OBJECT><b>hi！是你吧，我知道你在，我可看见你了！</b></form></span> ");
temp = temp.replace(/\[audio27\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/27.swf><\/OBJECT><b>哎！看来你可真寂寞！</b></form></span> ");
temp = temp.replace(/\[audio28\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/28.swf><\/OBJECT><b>年轻人，虚心点没错！</b></form></span> ");
temp = temp.replace(/\[audio29\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/29.swf><\/OBJECT><b>这么说你还不明白，你猪头啊！</b></form></span> ");
temp = temp.replace(/\[audio30\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/30.swf><\/OBJECT><b>掰掰落~~~</b></form></span> ");
temp = temp.replace(/\[audio31\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/31.swf><\/OBJECT><b>拜拜了您那~~</b></form></span>");
temp = temp.replace(/\[audio32\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/32.swf><\/OBJECT><b>哎呦！老板来了，我先走了啊！</b></form></span> ");
temp = temp.replace(/\[audio33\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/33.swf><\/OBJECT><b>不行不行！我得上厕所...得上厕所！</b></form></span> ");
temp = temp.replace(/\[audio34\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/34.swf><\/OBJECT><b>晚安做个好梦！</b></form></span> ");
temp = temp.replace(/\[audio35\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/35.swf><\/OBJECT><b>我困得不行了得先走一步了！</b></form></span> ");
temp = temp.replace(/\[audio36\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/36.swf><\/OBJECT><b>有人在家吗？</b></form></span> ");
temp = temp.replace(/\[audio37\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/37.swf><\/OBJECT><b>开会啰！</b></form></span> ");
temp = temp.replace(/\[audio38\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/38.swf><\/OBJECT><b>早安！</b></form></span> ");
temp = temp.replace(/\[audio39\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/39.swf><\/OBJECT><b>还在加班？真忙假忙啊？</b></form></span> ");
temp = temp.replace(/\[audio40\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/40.swf><\/OBJECT><b>你可算来了，我等你很久了！</b></form></span> ");
temp = temp.replace(/\[audio41\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/41.swf><\/OBJECT><b>来啦小妞~~</b></form></span> ");
temp = temp.replace(/\[audio42\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/42.swf><\/OBJECT><b>早上好，您来啦！</b></form></span> ");
temp = temp.replace(/\[audio43\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/43.swf><\/OBJECT><b>你要死啦～到现在才出现，到哪里潜水去啦...</b></form></span> ");
temp = temp.replace(/\[audio44\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/44.swf><\/OBJECT><b>喂..我老板来了，先闪一下喽~下次再聊..</b></form></span> ");
temp = temp.replace(/\[audio45\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/45.swf><\/OBJECT><b>啊~~这是一定要的啦！</b></form></span> ");
temp = temp.replace(/\[audio46\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/46.swf><\/OBJECT><b>嗯哼~人家.. 去撇个尿啰..嗯哼~</b></form></span> ");
temp = temp.replace(/\[audio47\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/47.swf><\/OBJECT><b>嗯哼~来，亲一个~</b></form></span> ");
temp = temp.replace(/\[audio48\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/48.swf><\/OBJECT><b>起来动一动吧，follow me! one more, two more...</b></form></span> ");
temp = temp.replace(/\[audio49\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/49.swf><\/OBJECT><b>祝你生日快乐~祝你生日快乐..喔喔！祝你生日快乐喽！</b></form></span> ");
temp = temp.replace(/\[audio50\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/50.swf><\/OBJECT><b>不知道该说什么...</b></form></span> ");
temp = temp.replace(/\[audio51\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/51.swf><\/OBJECT><b>好想睡喔..zzZZ</b></form></span>");
temp = temp.replace(/\[audio52\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/52.swf><\/OBJECT><b>让我想一想~~</b></form></span>");
}
if (getCookie('ybbbrow')!='0'){  //是否打开表情代码
temp = temp.replace(/(\[em)([0-9]*)(\])/ig,"<IMG border=0 SRC=images/Emotions/$2.gif>");
temp = temp.replace(/\/招呼/ig,"逢人就打招呼：大家好，今天是我大喜的日子！请吃糖！ 请吃糖！<IMG border=0 SRC=images/dz/05.gif>");
temp = temp.replace(/\/欢迎/ig,"高兴的叫道：欢迎、欢迎、热烈欢迎～～<IMG border=0 SRC=images/dz/085.gif>");
temp = temp.replace(/\/灌水/ig,"嚷道：新来的，别乱欺负哦，灌水先 <IMG border=0 SRC=images/dz/034.gif>");
temp = temp.replace(/\/无聊/ig,"拿出一张钞票：好无聊啊，谁要陪我灌水？ <IMG border=0 SRC=images/dz/01.gif>");
temp = temp.replace(/\/负责/ig,"哭着说：你可要对我负责呀！呜～～<IMG border=0 SRC=images/dz/02.gif>");
temp = temp.replace(/\/生气/ig,"撅了撅嘴说：气死我了呀！呀！呀！<IMG border=0 SRC=images/dz/03.gif>");
temp = temp.replace(/\/高兴/ig,"高兴地跳了起来。<IMG border=0 SRC=images/dz/046.gif>");
temp = temp.replace(/\/鼓掌/ig,"鼓掌喝采<IMG border=0 SRC=images/dz/06.gif>");
temp = temp.replace(/\/等待/ig,"悲伤的唱到：你知不知道，你知不知道？我等到花儿也谢了... <IMG border=0 SRC=images/dz/07.gif>");
temp = temp.replace(/\/反对/ig," <IMG border=0 SRC=images/dz/08.gif>不行！我坚决反对！");
temp = temp.replace(/\/浪漫/ig,"罗密欧与朱丽叶式的吹起曲子来: 我悄悄地蒙上你的眼睛，让你猜猜我是谁？<IMG border=0 SRC=images/dz/019.gif>");
temp = temp.replace(/\/不要/ig,"摆了摆手，说：不要呀！ <IMG border=0 SRC=images/dz/010.gif>");
temp = temp.replace(/\/找死/ig,"跟我斗，你还嫩着哩；刚练成的无筋腿，拿你试试先！<IMG border=0 SRC=images/dz/023.gif>");
temp = temp.replace(/\/去死/ig,"嘿嘿，你去死吧！<IMG border=0 SRC=images/dz/011.gif>");
temp = temp.replace(/\/狂笑/ig,"仰天狂笑<IMG border=0 SRC=images/dz/012.gif>普天之下，竟然没有我的对手...");
temp = temp.replace(/\/傻笑/ig,"西西、禾禾～～$username 突然笑了起来.. <IMG border=0 SRC=images/dz/031.gif>");
temp = temp.replace(/\/痛哭/ig,"鼻子一酸，开始叭嗒叭嗒掉眼泪了…… <IMG border=0 SRC=images/dz/013.gif>");
temp = temp.replace(/\/道别/ig,"向在场的所有人道：小生先行告退，后会有期。 <IMG border=0 SRC=images/dz/015.gif>");
temp = temp.replace(/\/跳舞/ig,"乐地手足蹈舞！ <IMG border=0 SRC=images/dz/017.gif>");
temp = temp.replace(/\/失望/ig,"低下头，神情失望极了。<IMG border=0 SRC=images/dz/018.gif>");
temp = temp.replace(/\/唱歌/ig,"清清嗓子唱起歌来：东方红，太阳升…… <IMG border=0 SRC=images/dz/09.gif>");
temp = temp.replace(/\/害羞/ig,"害羞地脸都红了，恨没有地洞，好钻进去躲起来~~ <IMG border=0 SRC=images/dz/020.gif>");
temp = temp.replace(/\/比酷/ig,"摆了个ＰＯＳＥ道：你、你、你没我酷.. <IMG border=0 SRC=images/dz/021.gif>");
temp = temp.replace(/\/狂妄/ig,"剑眉一轩，冷冷的瞥了一眼，背转身淡淡说道：你，不是我的，对手！<IMG border=0 SRC=images/dz/025.gif>");
temp = temp.replace(/\/拳击/ig,"你的身材好有型哦！给我练拳不？<IMG border=0 SRC=images/dz/026.gif>");
temp = temp.replace(/\/我踢/ig,"我踢、我踢、我踢死你 <IMG border=0 SRC=images/dz/027.gif>");
temp = temp.replace(/\/我踩/ig,"我踩、我踩、踩死楼上的，踩扁楼下的！<IMG border=0 SRC=images/dz/029.gif>");
temp = temp.replace(/\/救命/ig,"大叫：狼来了！狼来了！救命啊！救命啊！<IMG border=0 SRC=images/dz/022.gif>");
temp = temp.replace(/\/饶命/ig,"大喊：你就饶了我吧！  <IMG border=0 SRC=images/dz/028.gif>");
temp = temp.replace(/\/眨眼/ig,"天真地眨了眨眼睛！一对会说话的眼睛闪闪动人 <IMG border=0 SRC=images/dz/032.gif>");
temp = temp.replace(/\/臭美/ig,"嚷道：你当你是谁呀，你以为你是张学友呀？ <IMG border=0 SRC=images/dz/033.gif>");
temp = temp.replace(/\/变态/ig,"对偻上的说：你真的好变态哦<IMG border=0 SRC=images/dz/037.gif>");
temp = temp.replace(/\/拼酒/ig,"“什么时候咋俩拼拼酒啊。” <IMG border=0 SRC=images/dz/038.gif>");
temp = temp.replace(/\/深情/ig,"深情地唱道：我早已为你种下，九百九十九朵玫瑰.. <IMG border=0 SRC=images/dz/042.gif>");
temp = temp.replace(/\/恶心/ig,"觉得一阵恶心，哇啦哇啦地吐了一地……<IMG border=0 SRC=images/dz/043.gif>");
temp = temp.replace(/\/惊讶/ig,"惊讶得两眼瞪得贼大！ <IMG border=0 SRC=images/dz/044.gif>");
temp = temp.replace(/\/抽烟/ig,"从烟缸中拣出个烟屁股，用两根手指夹着点着了，眯起眼睛狂嘬几口。 <IMG border=0 SRC=images/dz/045.gif>");
temp = temp.replace(/\/怀疑/ig,"抓了抓头皮，问道：有这回事吗？ <IMG border=0 SRC=images/dz/047.gif>");
temp = temp.replace(/\/拉勾/ig,"对楼上的说：我们拉拉勾<IMG border=0 SRC=images/dz/050.gif>就不许反悔了。");
temp = temp.replace(/\/经典/ig,"呢喃道：好久没见过这么经典的东东了。<IMG border=0 SRC=images/dz/051.gif>");
temp = temp.replace(/\/同意/ig,"说：你们都对，行了吧！￣<IMG border=0 SRC=images/dz/052.gif>");
temp = temp.replace(/\/OK/ig,"怪腔怪调地说：“ＯＫ啦！～”<IMG border=0 SRC=images/dz/084.gif>");
temp = temp.replace(/\/kiss/ig,"在<IMG border=0 SRC=images/dz/053.gif>，不许偷看呀~");
temp = temp.replace(/\/生日/ig,"猪你生日快乐！<IMG border=0 SRC=images/dz/055.gif>");
temp = temp.replace(/\/晕倒/ig,"<IMG border=0 SRC=images/dz/056.gif>突然觉得天昏地暗，一声“我要晕了”后就倒下了！");
temp = temp.replace(/\/气你/ig,"对楼上的说：“哈哈，我气死你。”<IMG border=0 SRC=images/dz/058.gif>");
temp = temp.replace(/\/错啦/ig,"“又搞错啦！”<IMG border=0 SRC=images/dz/059.gif>");
temp = temp.replace(/\/加油/ig,"内心在默默地喊着加油。<IMG border=0 SRC=images/dz/060.gif>");
temp = temp.replace(/\/恭喜/ig,"恭喜、贺喜<IMG border=0 SRC=images/dz/061.gif>什么时候请吃酒啊？");
temp = temp.replace(/\/简单/ig,"<IMG border=0 SRC=images/dz/063.gif>抓了抓脑袋道：喔，原来这么简单呀？！");
temp = temp.replace(/\/鼓励/ig,"挥着手<IMG border=0 SRC=images/dz/064.gif>说道：同志们辛苦了！");
temp = temp.replace(/\/过奖/ig,"拱了拱手<IMG border=0 SRC=images/dz/065.gif>道：过奖，过奖！");
temp = temp.replace(/\/原谅/ig,"连哭带喊跪在地上<IMG border=0 SRC=images/dz/066.gif>叫道：你们大家再原谅我一次吧！");
temp = temp.replace(/\/大笑/ig,"开怀大笑。<IMG border=0 SRC=images/dz/067.gif>");
temp = temp.replace(/\/考虑/ig,"来回地踱着方步<IMG border=0 SRC=images/dz/068.gif>陷入沉思中。");
temp = temp.replace(/\/感动/ig,"感动极了，一行热泪夺眶而出。<IMG border=0 SRC=images/dz/069.gif>");
temp = temp.replace(/\/叹气/ig,"长叹了一口气<IMG border=0 SRC=images/dz/070.gif>那神情仿佛是在说：“我都是要进棺材的人了，还在乎些什么？？！”");
temp = temp.replace(/\/道谢/ig,"对在场的所有人鞠躬道谢！<IMG border=0 SRC=images/dz/075.gif>");
temp = temp.replace(/\/摇头/ig,"拼命地摇摇头, 一副很无辜的样子<IMG border=0 SRC=images/dz/077.gif>");
temp = temp.replace(/\/点头/ig,"同意地点了点头。<IMG border=0 SRC=images/dz/078.gif>");
temp = temp.replace(/\/拥抱/ig,"张开双臂<IMG border=0 SRC=images/dz/080.gif>来吧，小宝贝儿！让叔叔抱！");
temp = temp.replace(/\/无奈/ig,"两手一摊<IMG border=0 SRC=images/dz/081.gif>无奈地耸耸肩。");
temp = temp.replace(/\/反对/ig,"认真地摇了摇头<IMG border=0 SRC=images/dz/083.gif>那怎么可以呢，不可以的，不可能的啦。");
}

return (temp);
}
function runCode()
{
var code=event.srcElement.parentElement.children[0].value;
var newwin=window.open('','','');
newwin.opener=null;
newwin.document.write(code);
newwin.document.close();
}

function level(experience,membercode,username,moderated)
{
if (membercode=='0'){levelname="尚未激活";levelimage="<img src=images/level/1.gif>";}
else
if (membercode=='2'){levelname="VIP会员";levelimage="<img src=images/level/19.gif>";}
else
if (membercode=='3'){levelname="论坛版主";levelimage="<img src=images/level/19.gif>";}
else
if (membercode=='4'){levelname="超级版主";levelimage="<img src=images/level/19.gif>";}
else
if (membercode=='5'){levelname="管 理 员";levelimage="<img src=images/level/19.gif>";}
else
if (membercode=='6'){levelname="社区区长";levelimage="<img src=images/level/20.gif>";}
else
if (experience<= 50){levelname="小野人";levelimage="<img src=images/level/2.gif>";}
else
if (experience<= 150){levelname="野人";levelimage="<img src=images/level/3.gif>";}
else
if (experience<= 500){levelname="土人";levelimage="<img src=images/level/4.gif>";}
else
if (experience<= 1000){levelname="咕噜";levelimage="<img src=images/level/5.gif>";}
else
if (experience<= 2000){levelname="大咕噜";levelimage="<img src=images/level/6.gif>";}
else
if (experience<= 4000){levelname="咕噜队长";levelimage="<img src=images/level/7.gif>";}
else
if (experience<= 8000){levelname="初级守卫";levelimage="<img src=images/level/8.gif>";}
else
if (experience<= 12000){levelname="守卫者";levelimage="<img src=images/level/9.gif>";}
else
if (experience<= 20000){levelname="守卫队长";levelimage="<img src=images/level/10.gif>";}
else
if (experience<= 30000){levelname="斗士";levelimage="<img src=images/level/11.gif>";}
else
if (experience<= 50000){levelname="大斗士";levelimage="<img src=images/level/12.gif>";}
else
if (experience<= 70000){levelname="斗士长";levelimage="<img src=images/level/13.gif>";}
else
if (experience<= 100000){levelname="骑士";levelimage="<img src=images/level/14.gif>";}
else
if (experience<= 130000){levelname="青铜骑士";levelimage="<img src=images/level/15.gif>";}
else
if (experience<= 160000){levelname="白银骑士";levelimage="<img src=images/level/16.gif>";}
else
if (experience<= 200000){levelname="黄金骑士";levelimage="<img src=images/level/17.gif>";}
else
if (experience> 200000){levelname="圣骑士";levelimage="<img src=images/level/18.gif>";}
return('');
}

//放大缩小图片
function yuzi_img(e, o)
{
var zoom = parseInt(o.style.zoom, 10) || 100;
zoom += event.wheelDelta / 12;
if (zoom > 0) o.style.zoom = zoom + '%';
return false;
}